<mat-radio-group class="radio-group" aria-label="Choose an equation type" (change)="onEquationTypeSelected($event)">
    <mat-radio-button *ngFor="let equationType of equationTypes" [value]="equationType">
        {{ equationType }}
    </mat-radio-button>
</mat-radio-group>

<form class="form" *ngIf="equationsShown && equationsShown.length > 0" [formGroup]="form">
    <mat-form-field appearance="fill" class="form__field">
        <mat-label>Equation</mat-label>
        <mat-select required formControlName="equation">
            <mat-option *ngFor="let e of equationsShown" [value]="e">{{e.plainText}}</mat-option>
        </mat-select>
    </mat-form-field>

    <mat-form-field appearance="fill" class="form__field">
        <mat-label>Method</mat-label>
        <mat-select required formControlName="method">
            <mat-option *ngFor="let method of methods" [value]="method">{{ method }}</mat-option>
        </mat-select>
    </mat-form-field>
</form>